# 1.0.0

- Requires rust 1.15
- Updated `hyper` to version 0.10
- Updated `serde` to version 0.9
- Added `serde_derive` for serialization
- Refactored code to use `?` instead of `try!`
- Droped support for `rustc-serialize`
- Removed deprecated methods in `Statement`
- Added query methods to `GraphClient`
- Deprecated `GraphClient::cypher()`
- BC: methods `Statement::add_param` and `Statement::with_param` return a
    `Result<_, GraphError>` due to `serde_json::to_value` change.

# 0.9.1

- Change build script to avoid being broken by Syntex updates.

# 0.9

- BC: Changed errors to `enum` using quick-error
- Deprecated `Statement::{get_param, get_params, set_params}` in favor of
  `Statement::{param, parameters, set_parameters}`
- Changed `cypher_stmt!` parameterized query
- Updated dependencies
- Changed license to MIT OR Apache-2.0

# 0.8

- Added support for `rustc-serialize` through feature.

# 0.7.1

- Refactored `cypher::result::Row::{get, get_n}` to give better error messages.
- Improved docs.

# 0.7

- Added macro `cypher_stmt!` for crating statements.

# 0.6

  - BC: Changed `Transaction<Started>` api to match `Cypher` and `CypherQuery`
    - `Transaction<Started>::send` executes multiple queries like `CypherQuery::send`
    - `Transaction<Started>::exec` executes a single query like `Cypher::exec`
  - Refactored tests for `cypher/mod.rs` and `cypher/transaction.rs`

# 0.5

  - Changed crate name to `rusted-cypher`.
  - Added integration tests.
  - BC: `Cypher::exec` returns single `CypherResult` instead of `Vec<CypherResult>`

# 0.4.1

  - Updated `serde_macros` and `serde_codegen` to version 0.6.
  - Added `log` support.
  - README.md generated by [cargo-readme](https://www.github.com/livioribeiro/cargo-readme)

# 0.4

  - Refactored `cypher` module. Code from `cypher.rs` is now at `cypher/mod.rs`.
  - Added `CypherResult::rows` to iterate over results.
  - Added builder pattern for creating statements with parameters.
  - Added builder pattern for creating transaction with statements.

# 0.3

  - Refactored of `statement` module.
  - Implemented `From<&str> for Statement`.

# 0.2

  - Added `transaction` module.
